XZGREP(1)

NUME
xzgrep - caută modele în fișiere posibil comprimate

REZUMAT
xzgrep [opțiune...] listă-modele [fișier...]
xzegrep ...
xzfgrep ...
lzgrep ...
lzegrep ...
lzfgrep ...

DESCRIERE
xzgrep invocă grep(1) asupra conținutului necomprimat al fișierelor. Formatele fișierelor sunt determinate de sufixele numelor de fișiere. Orice fișier cu un sufix acceptat de xz(1), gzip(1), bzip2(1), lzop(1), zstd(1) sau lz4(1) va fi decomprimat; toate celelalte fișiere sunt presupuse a fi necomprimate.

Dacă nu se specifică niciun fișier sau dacă fișier este -, se citește intrarea standard. Atunci când se citește de la intrarea standard, sunt decomprimate numai fișierele acceptate de xz(1). Se presupune că celelalte fișiere sunt deja în format necomprimat.

Sunt acceptate majoritatea opțiunilor din grep(1). Cu toate acestea, următoarele opțiuni nu sunt acceptate:

    -r, --recursive

    -R, --dereference-recursive

    -d, --directories=acțiune

    -Z, --null

    -z, --null-data

    --include=global

    --exclude=global

    --exclude-from=fișier

    --exclude-dir=global

xzegrep este un alias pentru xzgrep -E. xzfgrep este un alias pentru xzgrep -F.

Comenzile lzgrep, lzegrep și lzfgrep sunt furnizate pentru compatibilitate retroactivă cu LZMA Utils.

STARE DE IEȘIRE

0   A fost găsită cel puțin o potrivire din cel puțin unul dintre fișierele de la intrare. Nu au apărut erori.

1   Nu au fost găsite potriviri din niciunul dintre fișierele de la intrare. Nu au apărut erori.

>1  A apărut una sau mai multe erori. Nu se cunoaște dacă au fost găsite potriviri.

VARIABILE DE MEDIU

GREP
    Dacă variabila de mediu GREP este stabilită la o valoare nevidă, aceasta este utilizată în locul lui grep, grep -E sau grep -F.

CONSULTAȚI ȘI
grep(1), xz(1), gzip(1), bzip2(1), lzop(1), zstd(1), lz4(1), zgrep(1)